libnl: SKB Editing

libnl 3.12.0

SKB Editing
Routing Library (libnl-route) » Traffic Control » Action

## Data Structures
struct | rtnl_skbedit

## Attribute Modifications
int | rtnl_skbedit_set_action (struct rtnl_act *act, int action)
int | rtnl_skbedit_get_action (struct rtnl_act *act)
int | rtnl_skbedit_set_queue_mapping (struct rtnl_act *act, uint16_t index)
int | rtnl_skbedit_get_queue_mapping (struct rtnl_act *act, uint16_t *index)
int | rtnl_skbedit_set_mark (struct rtnl_act *act, uint32_t mark)
int | rtnl_skbedit_get_mark (struct rtnl_act *act, uint32_t *mark)
int | rtnl_skbedit_set_priority (struct rtnl_act *act, uint32_t prio)
int | rtnl_skbedit_get_priority (struct rtnl_act *act, uint32_t *prio)

## Detailed Description

## Function Documentation

## ◆ rtnl_skbedit_set_action()

int rtnl_skbedit_set_action | ( | struct rtnl_act * | act,
|  | int | action )

Definition at line 158 of file skbedit.c.

## ◆ rtnl_skbedit_get_action()

int rtnl_skbedit_get_action | ( | struct rtnl_act * | act | ) |

Definition at line 170 of file skbedit.c.

## ◆ rtnl_skbedit_set_queue_mapping()

int rtnl_skbedit_set_queue_mapping | ( | struct rtnl_act * | act,
|  | uint16_t | index )

Definition at line 179 of file skbedit.c.

## ◆ rtnl_skbedit_get_queue_mapping()

int rtnl_skbedit_get_queue_mapping | ( | struct rtnl_act * | act,
|  | uint16_t * | index )

Definition at line 191 of file skbedit.c.

## ◆ rtnl_skbedit_set_mark()

int rtnl_skbedit_set_mark | ( | struct rtnl_act * | act,
|  | uint32_t | mark )

Definition at line 205 of file skbedit.c.

## ◆ rtnl_skbedit_get_mark()

int rtnl_skbedit_get_mark | ( | struct rtnl_act * | act,
|  | uint32_t * | mark )

Definition at line 217 of file skbedit.c.

## ◆ rtnl_skbedit_set_priority()

int rtnl_skbedit_set_priority | ( | struct rtnl_act * | act,
|  | uint32_t | prio )

Definition at line 231 of file skbedit.c.

## ◆ rtnl_skbedit_get_priority()

int rtnl_skbedit_get_priority | ( | struct rtnl_act * | act,
|  | uint32_t * | prio )

Definition at line 243 of file skbedit.c.